
#ifndef __POPUP_H__
#define __POPUP_H__

#include "textview.h"

void            popupwnd_open(RESULT *res);
void            popupwnd_close();
void            popupwnd_search(const gchar *str);
void		popupwnd_find();

struct _popupwnd
{
    gboolean    lock, remember_pos;
    gint        x, y, w, h, search_method, timeout, maxhits;
    gchar       *group, *dict;
    GtkWidget   *wnd, *label, *scan, *menu, *lockbtn;
    EbTextView	*view;
    GSequence   *results;
    BOOK_INFO   *binfo;
} popupwnd;

#endif /* __POPUP_H__ */
